> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/create-digital-humans

> Create one or many Digital Humans.

Creates one or many Digital Humans. `digital_humans` takes one Digital Human object or a list of them, and the response is always a list. Items that fail validation return per-item errors in `errors`. The other items are created.```json theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{ "digital_humans": { "test_name": "Booking caller", "intent": "Book a table for two" } }
```The `tag` value and playback fields change which fields are required. The `errors` list names the field that failed. `success_criteria` is one string with a bullet per line.Pass `persona_ids` to have a Digital Human run once as each of those [personas](https://docs.getbluejay.ai/test/simulations/personas.md). Without them it runs once as the baseline.If you omit `allow_silence_tool` and `silence_tool_instructions`, they are `false` and `"default"`.Rate limit: 20 requests per minute.## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Request body

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request POST \
  --url https://api.getbluejay.ai/v2/create-digital-humans \
  --header 'X-API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
    "simulation_ids": [
      123
    ],
    "digital_humans": [
      {
        "bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "intent": "",
        "success_criteria": "",
        "name": "<string>",
        "tag": "<string>",
        "tags": [
          "<string>"
        ],
        "type": "voicemail_custom",
        "system_prompt_rule_ids": [
          "<string>"
        ],
        "system_prompt_rule_quotes": [
          "<string>"
        ],
        "language": "en",
        "accent": "multilingual",
        "gender": "male",
        "custom_voice_id": "<string>",
        "background_noise": "none",
        "custom_background_noise_url": "<string>",
        "voice_speed": "slowest",
        "audio_quality": "high",
        "fluency": "beginner",
        "verbosity": "low",
        "phone_number": "<string>",
        "extension": "<string>",
        "outbound_text_number": "<string>",
        "background_noise_volume": 0.8,
        "expected_tool_calls": [
          {
            "name": "<string>",
            "parameters": {},
            "output": null
          }
        ],
        "allow_end_call_tool": true,
        "allow_silence_tool": true,
        "allow_dtmf_tool": true,
        "default_dtmf_or_voiced": "voiced",
        "silence_tool_instructions": "default",
        "endpointing_delay": 1.5,
        "creativity": 0.7,
        "hangup_phrases": [
          "<string>"
        ],
        "hangup_instructions": "<string>",
        "silence_timeout": 123,
        "role_description": "<string>",
        "traits": [
          {
            "trait_name": "<string>",
            "trait_data_type": "BOOLEAN",
            "value": null,
            "is_sip_header": false
          }
        ],
        "interruptions": {
          "type": "none"
        },
        "scripted_responses": [
          {
            "match_type": "exact",
            "match_phrase": "<string>",
            "response_type": "phrase",
            "response_value": "<string>",
            "scripted_response_audio_snippet_url": "<string>",
            "occurrence_mode": "always",
            "occurrence_n": 123,
            "silence_duration": 123
          }
        ],
        "scripted_responses_ordered": false,
        "speaks_first_config": {
          "speaks_first": true,
          "mode": "custom",
          "message": "<string>",
          "dynamic": true
        },
        "original_transcript": "<string>",
        "formatted_transcript": [
          {
            "key": "<string>"
          }
        ],
        "enriched_playback": [
          {}
        ],
        "workflow_v2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "workflow_path_index": 123,
        "tested_path": [
          "<string>"
        ],
        "journey_steps": [
          {
            "step": 123,
            "intent": "",
            "success_criteria": "",
            "modality": "voice",
            "direction": "inbound",
            "wait_seconds": 123,
            "response_window_seconds": 123,
            "unresponsive": false,
            "phone_number": "<string>"
          }
        ],
        "always_on_mode": false,
        "always_on_active": true,
        "num_runs": 1,
        "tool_responses": {},
        "livekit_metadata": {},
        "test_name": "<string>",
        "attack_vector": "<string>",
        "attack_type": "<string>",
        "attack_plan": {},
        "persona_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "source_digital_human_id": 123
      }
    ]
  }'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "created": [
    {
      "digital_human": {
        "id": 123,
        "bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "intent": "<string>",
        "success_criteria": "<string>",
        "tag": "<string>",
        "tags": [
          "<string>"
        ],
        "type": "voicemail_custom",
        "system_prompt_rule_ids": [
          "<string>"
        ],
        "system_prompt_rule_quotes": [
          "<string>"
        ],
        "name": "<string>",
        "language": "en",
        "accent": "multilingual",
        "gender": "male",
        "custom_voice_id": "<string>",
        "background_noise": "<string>",
        "custom_background_noise_url": "<string>",
        "voice_speed": "<string>",
        "audio_quality": "<string>",
        "fluency": "<string>",
        "verbosity": "<string>",
        "phone_number": "<string>",
        "extension": "<string>",
        "outbound_text_number": "<string>",
        "websocket_url": "<string>",
        "background_noise_volume": 1.5,
        "expected_tool_calls": [
          {
            "name": null,
            "parameters": {},
            "output": null
          }
        ],
        "allow_end_call_tool": true,
        "allow_silence_tool": true,
        "allow_dtmf_tool": true,
        "default_dtmf_or_voiced": "voiced",
        "silence_tool_instructions": "default",
        "endpointing_delay": 1.5,
        "creativity": 1.5,
        "hangup_phrases": [
          "<string>"
        ],
        "hangup_instructions": "<string>",
        "silence_timeout": 123,
        "role_description": "<string>",
        "created_at": "2026-01-01T00:00:00Z",
        "traits": [
          {
            "trait_name": null,
            "trait_data_type": "BOOLEAN",
            "value": null,
            "is_sip_header": false
          }
        ],
        "interruptions": {},
        "scripted_responses": [
          {
            "match_type": "exact",
            "match_phrase": null,
            "response_type": "phrase",
            "response_value": null,
            "scripted_response_audio_snippet_url": null,
            "occurrence_mode": "always",
            "occurrence_n": null,
            "silence_duration": null
          }
        ],
        "scripted_responses_ordered": false,
        "speaks_first_config": {
          "speaks_first": true,
          "mode": "custom",
          "message": "<string>",
          "dynamic": true
        },
        "original_transcript": "<string>",
        "formatted_transcript": [
          {
            "key": null
          }
        ],
        "enriched_playback": [
          {}
        ],
        "workflow_v2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "workflow_path_index": 123,
        "tested_path": [
          "<string>"
        ],
        "tool_responses": {},
        "livekit_metadata": {},
        "provider_request_data": {},
        "test_name": "<string>",
        "journey_steps": [
          {
            "step": null,
            "intent": "",
            "success_criteria": "",
            "modality": "voice",
            "direction": "inbound",
            "wait_seconds": null,
            "response_window_seconds": null,
            "unresponsive": false,
            "phone_number": null
          }
        ],
        "always_on_mode": true,
        "always_on_active": false,
        "num_runs": 1,
        "persona_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "attack_vector": "<string>",
        "attack_type": "<string>",
        "attack_plan": {}
      },
      "simulation_ids": [
        123
      ],
      "simulation_id": 123,
      "warning": "<string>"
    }
  ],
  "errors": [
    {}
  ],
  "warning": "<string>"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.